function r=join(a,b)
%join(a,b): return the smallest common superspace of a and b
%
%See also gable.

% GABLE, Copyright (c) 1999, University of Amsterdam
% Copying, use and development for non-commercial purposes permitted.
%          All rights for commercial use reserved; for more information
%          contact Leo Dorst (leo@wins.uva.nl).
%
%          This software is unsupported.

% The function really should just be 'r = a+b', but Matlab added
%  a 'join' function that fights with this join function.  The
%  following (inside the if) was taken from their join function
%  and could easily break in the future.
%fprintf(2,"%s\n",class(a));
if strcmp(class(a),'cell')||strcmp(class(a),'char')==1 || strcmp(class(a),'string')==1
	ss = string(a);
	r = ss.join(b);
        if ischar(a)
            r = a;
        elseif ~isstring(a)
            r = cellstr(a);
	end
else 
	r = a*b;
end
